## tds-fdw 2.0.3

=== Makefile ===
#*------------------------------------------------------------------
#
#				Foreign data wrapper for TDS (Sybase and Microsoft SQL Server)
#
# Author: Geoff Montee
# Name: tds_fdw
# File: tds_fdw/Makefile
#
# Description:
# This is a PostgreSQL foreign data wrapper for use to connect to databases that use TDS,
# such as Sybase databases and Microsoft SQL server.
#
# This foreign data wrapper requires a library that uses the DB-Library interface,
# such as FreeTDS (http://www.freetds.org/). This has been tested with FreeTDS, but not
# the proprietary implementations of DB-Library.
#----------------------------------------------------------------------------

EXTENSION = tds_fdw

MODULE_big = $(EXTENSION)

OBJS = src/tds_fdw.o src/options.o src/deparse.o

EXTVERSION = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\\([^']*\\)'/\\1/")

# no tests yet
# TESTS        = $(wildcard test/sql/*.sql)
# REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
# REGRESS_OPTS = --inputdir=test

DOCS         = README.${EXTENSION}.md

DATA = sql/$(EXTENSION)--$(EXTVERSION).sql

PG_CONFIG    = pg_config

# modify these variables to point to FreeTDS, if needed
SHLIB_LINK := -lsybdb
TDS_INCLUDE :=
PG_CPPFLAGS := -I./include/ -fvisibility=hidden ${TDS_INCLUDE}
# PG_LIBS :=

all: sql/$(EXTENSION)--$(EXTVERSION).sql README.${EXTENSION}.md

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
	cp $< $@

README.${EXTENSION}.md: README.md
	cp $< $@

EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql README.${EXTENSION}.md

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## tds-fdw 2.0.2

=== debian/changelog ===
tds-fdw (2.0.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:13:50 +0200

tds-fdw (2.0.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 22:27:23 +0200

tds-fdw (2.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Sep 2020 14:51:44 +0200

tds-fdw (2.0.1-1) unstable; urgency=low

  [ Aaron Pavely ]
  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Aug 2020 14:46:35 +0200

=== debian/control ===
Source: tds-fdw
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Section: database
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 freetds-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/tds-fdw/tds_fdw
Vcs-Git: https://salsa.debian.org/postgresql/tds-fdw.git
Vcs-Browser: https://salsa.debian.org/postgresql/tds-fdw

Package: postgresql-14-tds-fdw
Architecture: any
Depends:
 postgresql-14,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL foreign data wrapper for TDS databases
 tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
 that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
 and Microsoft SQL Server.

=== debian/tests/control ===
Depends:
 @,
Tests: create-extension
Restrictions: allow-stderr

## tds-fdw 2.0.3

=== debian/changelog ===
tds-fdw (2.0.3-3.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 10 Nov 2023 14:10:12 +0100

tds-fdw (2.0.3-3) unstable; urgency=medium

  * fix-importing-float0-sybase: New patch, fixes importing Sybase schemas with
    float(0) columns, taken from upstream commit 93e8a03.

 -- Michael Banck <mbanck@debian.org>  Fri, 10 Nov 2023 14:10:12 +0100

tds-fdw (2.0.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:48:29 +0200

tds-fdw (2.0.3-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 17:12:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,85 @@
  debhelper-compat (= 13),
  freetds-dev,
  postgresql-all (>= 217~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/tds-fdw/tds_fdw
 Vcs-Git: https://salsa.debian.org/postgresql/tds-fdw.git
 Vcs-Browser: https://salsa.debian.org/postgresql/tds-fdw
 
-Package: postgresql-14-tds-fdw
+Package: postgresql-10-tds-fdw
 Architecture: any
 Depends:
- postgresql-14,
+ ${postgresql:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL foreign data wrapper for TDS databases
  tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
  that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
  and Microsoft SQL Server.
+
+Package: postgresql-11-tds-fdw
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL foreign data wrapper for TDS databases
+ tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
+ that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
+ and Microsoft SQL Server.
+
+Package: postgresql-12-tds-fdw
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL foreign data wrapper for TDS databases
+ tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
+ that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
+ and Microsoft SQL Server.
+
+Package: postgresql-13-tds-fdw
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL foreign data wrapper for TDS databases
+ tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
+ that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
+ and Microsoft SQL Server.
+
+Package: postgresql-14-tds-fdw
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL foreign data wrapper for TDS databases
+ tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
+ that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
+ and Microsoft SQL Server.
+
+Package: postgresql-15-tds-fdw
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL foreign data wrapper for TDS databases
+ tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
+ that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
+ and Microsoft SQL Server.
+
+Package: postgresql-16-tds-fdw
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL foreign data wrapper for TDS databases
+ tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
+ that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
+ and Microsoft SQL Server.

## tds-fdw 2.0.4

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 DOCS         = README.${EXTENSION}.md
 
-DATA = sql/$(EXTENSION)--$(EXTVERSION).sql
+DATA = tds_fdw--2.0.1--2.0.2.sql tds_fdw--2.0.2--2.0.3.sql tds_fdw--2.0.3--2.0.4.sql sql/$(EXTENSION)--$(EXTVERSION).sql
 
 PG_CONFIG    = pg_config

=== debian/changelog ===
tds-fdw (2.0.4-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 17 Sep 2024 20:19:03 +0200

tds-fdw (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 20:19:03 +0200

tds-fdw (2.0.3-4) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 14:42:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Section: database
 Priority: optional
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
  freetds-dev,
- postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/tds-fdw/tds_fdw
 Vcs-Git: https://salsa.debian.org/postgresql/tds-fdw.git
@@ -17,8 +19,8 @@
 Package: postgresql-10-tds-fdw
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${postgresql:Depends},
- ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL foreign data wrapper for TDS databases
  tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
@@ -28,8 +30,8 @@
 Package: postgresql-11-tds-fdw
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${postgresql:Depends},
- ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL foreign data wrapper for TDS databases
  tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
@@ -39,8 +41,8 @@
 Package: postgresql-12-tds-fdw
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${postgresql:Depends},
- ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL foreign data wrapper for TDS databases
  tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
@@ -50,8 +52,8 @@
 Package: postgresql-13-tds-fdw
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${postgresql:Depends},
- ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL foreign data wrapper for TDS databases
  tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
@@ -61,8 +63,8 @@
 Package: postgresql-14-tds-fdw
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${postgresql:Depends},
- ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL foreign data wrapper for TDS databases
  tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
@@ -72,8 +74,8 @@
 Package: postgresql-15-tds-fdw
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${postgresql:Depends},
- ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL foreign data wrapper for TDS databases
  tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
@@ -83,10 +85,21 @@
 Package: postgresql-16-tds-fdw
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${postgresql:Depends},
- ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL foreign data wrapper for TDS databases
  tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
  that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
  and Microsoft SQL Server.
+
+Package: postgresql-17-tds-fdw
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL foreign data wrapper for TDS databases
+ tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
+ that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
+ and Microsoft SQL Server.

## tds-fdw 2.0.5

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 DOCS         = README.${EXTENSION}.md
 
-DATA = tds_fdw--2.0.1--2.0.2.sql tds_fdw--2.0.2--2.0.3.sql tds_fdw--2.0.3--2.0.4.sql sql/$(EXTENSION)--$(EXTVERSION).sql
+DATA = tds_fdw--2.0.1--2.0.2.sql tds_fdw--2.0.2--2.0.3.sql tds_fdw--2.0.3--2.0.4.sql tds_fdw--2.0.4--2.0.5.sql sql/$(EXTENSION)--$(EXTVERSION).sql
 
 PG_CONFIG    = pg_config

=== debian/changelog ===
tds-fdw (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5.
  * Upload for PostgreSQL 18. (Closes: #1117341)
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 22:26:25 +0000

=== debian/control ===
Source: tds-fdw
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Section: database
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 freetds-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/tds-fdw/tds_fdw
Vcs-Git: https://salsa.debian.org/postgresql/tds-fdw.git
Vcs-Browser: https://salsa.debian.org/postgresql/tds-fdw

Package: postgresql-18-tds-fdw
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL foreign data wrapper for TDS databases
 tds_fdw is a PostgreSQL foreign data wrapper that can connect to databases
 that use the Tabular Data Stream (TDS) protocol, such as Sybase databases
 and Microsoft SQL Server.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.md

override_dh_pgxs_test:
	pg_buildext psql . . postgresql-%v-tds-fdw < debian/tests/script.sql

%:
	dh $@ --with pgxs_loop

=== debian/tests/control ===
Depends:
 @,
Tests:
 create-extension,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/tds-fdw/tds_fdw/tags .*/v(.*).tar.gz
